## org.apache.commons.math.analysis.interpolation
Interface UnivariateRealInterpolator

All Known Implementing Classes:
  DividedDifferenceInterpolator, LoessInterpolator, NevilleInterpolator, SplineInterpolator

    public interface UnivariateRealInterpolator

Interface representing a univariate real interpolating function.

Version:
  $Revision: 821626 $ $Date: 2009-10-04 17:57:30 -0400 (Sun, 04 Oct 2009) $

Method Summary
`UnivariateRealFunction` `interpolate(double[] xval, double[] yval)` Computes an interpolating function for the data set.

Method Detail

### interpolate

    UnivariateRealFunction interpolate(double[] xval,
                                       double[] yval)
                                       throws MathException

  Computes an interpolating function for the data set.

  Parameters:
    `xval` - the arguments for the interpolation points
    `yval` - the values for the interpolation points
  Returns:
    a function which interpolates the data set
  Throws:
    `MathException` - if arguments violate assumptions made by the interpolation algorithm

Copyright (c) 2003-2011 Apache Software Foundation